import { AES_asm, AES_mode } from './aes.asm.js';
export declare class AES {
    heap?: Uint8Array;
    asm?: AES_asm;
    private readonly mode;
    padding?: boolean;
    pos: number;
    len: number;
    private key;
    private iv;
    constructor(key: Uint8Array, iv: Uint8Array | undefined, padding: boolean | undefined, mode: AES_mode, heap?: Uint8Array, asm?: AES_asm);
    acquire_asm(heap?: Uint8Array, asm?: AES_asm): {
        heap: Uint8Array;
        asm: AES_asm;
    };
    release_asm(): void;
    protected reset(key: Uint8Array, iv: Uint8Array | undefined): void;
    AES_Encrypt_process(data: Uint8Array): Uint8Array;
    AES_Encrypt_finish(): Uint8Array;
    AES_Decrypt_process(data: Uint8Array): Uint8Array;
    AES_Decrypt_finish(): Uint8Array;
}
