import { sha256result } from './sha256.asm.js';
import { Hash } from '../hash.js';
export declare const _sha256_block_size = 64;
export declare const _sha256_hash_size = 32;
export declare class Sha256 extends Hash<sha256result> {
    static NAME: string;
    NAME: string;
    BLOCK_SIZE: number;
    HASH_SIZE: number;
    constructor();
    acquire_asm(): {
        heap: Uint8Array;
        asm: sha256result;
    };
    release_asm(): void;
    static bytes(data: Uint8Array): Uint8Array | null;
}
