import { AES } from './aes.js';
export declare class AES_CTR {
    private aes;
    static encrypt(data: Uint8Array, key: Uint8Array, nonce: Uint8Array): Uint8Array;
    static decrypt(data: Uint8Array, key: Uint8Array, nonce: Uint8Array): Uint8Array;
    constructor(key: Uint8Array, nonce: Uint8Array, aes?: AES);
    encrypt(data: Uint8Array): Uint8Array;
    decrypt(data: Uint8Array): Uint8Array;
    private AES_CTR_set_options;
}
